List:Eventum General Discussion« Previous MessageNext Message »
From:Faisal Siddiqui Date:February 24 2011 7:04pm
Subject:RE: 2.3 to 2.3.1 issue
View as plain text  
Hi,

I was using eventum 2.2 for many years, recently I need to install it at a
new location so I decided to pick the latest one and found following
errors/problems as compare to version 2.2

1. In list issues screen if I choose to show All rows (in bottom, adjacent
to "Hide closed issue" option) then in version 2.2 it use to remember my
setting in one session but now it immediately and always reset to "show 5
rows" on each refresh of the page
2. I have multiple projects and created many custom fields for all projects,
users started adding data in those fields in all projects, at some later
stage it was decided to remove some of the custom fields from some of the
projects but when I excluded those custom fields from some of the projects
it deletes data of those fields from those projects which still have those
custom fields associated with those projects.
3. I have created many statuses as per organization and projects need, one
of the status named as "On Hold" I created and users started using it, but
after a day or two this option don't show up in the combo of setting status
so that user can set issue on "On Hold" status. 

Any help in this regard ? am I making any mistake in using/cofiguring this
latest version ?


-----Original Message-----
From: Bryan Alsdorf [mailto:bryan@stripped]
Sent: Thursday, February 24, 2011 10:53 PM
To: Guidroz, Bryan
Cc: eventum-users@stripped
Subject: Re: 2.3 to 2.3.1 issue

Hi,

On 02/23/2011 03:17 PM, Guidroz, Bryan wrote:
> After upgrading from 2.3 to 2.3.1, list.php is blank.
>
> I'm able to log in, select a project, but list.php is blank.
>
> Enabled error reporting in config.php and see the following error on 
> list.php
>
> "Fatal error: Call to undefined function filter_var() in 
> /var/www/html/lib/eventum/class.misc.php on line 416"
>
> Everything works fine when I go back to 2.3.

In fixing the XSS problem we relied on the filter_* functions. This is
included by default in PHP 5.2 and later but older versions apparently have
to install it separately. I will add a check for this in the installer and
mention it in the requirements. Sorry for the hassle.

If you are on a PHP versions before 5.2 see
http://pecl.php.net/package/filter

Best Regards,
--
Bryan Alsdorf, Lead Web Developer
Monty Program AB. http://montyprogram.com

--
Eventum Users Mailing List
For list archives: http://lists.mysql.com/eventum-users
To unsubscribe:
http://lists.mysql.com/eventum-users?unsub=1


--
Eventum Users Mailing List
For list archives: http://lists.mysql.com/eventum-users
To unsubscribe:
http://lists.mysql.com/eventum-users?unsub=1

Thread
2.3 to 2.3.1 issueBryan Guidroz23 Feb
  • Re: 2.3 to 2.3.1 issueBryan Alsdorf24 Feb
    • RE: 2.3 to 2.3.1 issueFaisal Siddiqui24 Feb
      • RE: 2.3 to 2.3.1 issueFaisal Siddiqui24 Feb
        • Re: 2.3 to 2.3.1 issue [new thread]Bryan Alsdorf25 Feb
          • RE: 2.3 to 2.3.1 issue [new thread]Faisal Siddiqui26 Feb
    • RE: 2.3 to 2.3.1 issueBryan Guidroz24 Feb